Brivio API reference
Marketing

Remove the A/B test from a draft campaign. 409 when the campaign is not a draft. (scope: marketing_ab:write)

DELETE
/marketing/campaigns/{id}/ab-test

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key as Bearer token

Path Parameters

id*string

Campaign id

Formatuuid

Header Parameters

Idempotency-Key?string

Optional. A retry with the same key replays the first response (24 h).

Lengthlength <= 200

Response Body

OK

application/json
  1. response
data*

A campaign with its A/B state and arms.

error*null
curl -X DELETE "https://example.com/marketing/campaigns/497f6eca-6276-4993-bfeb-53cbbbba6f08/ab-test"
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "channel": "string",    "status": "string",    "subject": "string",    "ab_test_pct": 0,    "ab_decide_after_minutes": 0,    "ab_winner_metric": "open",    "ab_test_sent_at": "2019-08-24T14:15:22Z",    "ab_winner_variant_id": "27e01c5d-74a6-4ff2-b255-d776ad44b883",    "ab_decided_at": "2019-08-24T14:15:22Z",    "ab_conclusive": true,    "ab_winner_reason": "string",    "variants": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "label": "string",        "subject": "string",        "has_body_override": true,        "sent_count": 0,        "opened_count": 0,        "clicked_count": 0,        "open_rate": 0,        "click_rate": 0      }    ]  },  "error": null}